Page MenuHomeFreeBSD

stand: Use devformat rather than disk_devfmt
ClosedPublic

Authored by imp on Jul 25 2022, 8:33 PM.
Tags
None
Referenced Files
Unknown Object (File)
Fri, Apr 12, 3:48 PM
Unknown Object (File)
Dec 20 2023, 7:58 AM
Unknown Object (File)
Dec 18 2023, 9:10 AM
Unknown Object (File)
Dec 4 2023, 2:25 PM
Unknown Object (File)
Sep 28 2023, 4:44 AM
Unknown Object (File)
Sep 6 2023, 11:55 AM
Unknown Object (File)
Aug 14 2023, 3:03 PM
Unknown Object (File)
Jun 30 2023, 9:50 PM
Subscribers

Details

Summary

Fix layering violation and use devformat to get the string
representation of the device to see if we're mounted yet or not. Remove
added include to pickup disk.h.

Sponsored by: Netflix

Diff Detail

Repository
rS FreeBSD src repository - subversion
Lint
Lint Passed
Unit
No Test Coverage
Build Status
Buildable 46649
Build 43538: arc lint + arc unit

Event Timeline

imp requested review of this revision.Jul 25 2022, 8:33 PM
This revision is now accepted and ready to land.Jul 26 2022, 12:38 PM
This revision now requires review to proceed.Jul 28 2022, 4:58 PM
This revision was not accepted when it landed; it landed in state Needs Review.Aug 11 2022, 4:28 PM
This revision was automatically updated to reflect the committed changes.